ATI fglrx-4.3.0-3.9.0.i386 + FC2 Kernel-2.6.6-1.435.2.3

Darren Grant darren.grant at monstertech.ca
Mon Jul 12 22:53:05 UTC 2004


Anyone able to get the "fglrx" driver (fglrx-4.3.0-3.9.0.i386.rpm) 
working with the FC2 kernel 2.6.6-1.435.2.3?

Someone said they had gotten it to work with 2.6.6-1.435.2.1... but not 
2.3.  My wireless card (IPW2100) is set up with the 2.3 architecture and 
I haven't found rpm's that work with 2.1... so I'm hesitant to revert 
back to 2.1

Using files:
fglrx-4.3.0-3.9.0.i386.rpm
fglrx-3.9.0-fc2-2.6.6.patch

The patch works great... the sh make.sh works well. But on the final sh 
make_install.sh... it's still failing...

"fglrx:firegl_stub_register] *ERROR* Fire GL kernel module has to be 
loaded prior to any other DRM kernel module!
FATAL: Error inserting fglrx 
(/lib/modules/2.6.6-1.435.2.3/kernel/drivers/char/drm/fglrx.ko): 
Operation not permitted
failed."

The installed kernel-sourcecode matches that of the kernel I'm using.

Any help would be appreciated... pulling my hair out is only doing so 
much to sooth my frustrations.

Dell Inspiron 600M
Fedora Core 2
kernel-2.6.6-1.435.2.3
kernel-sourcecode-2.6.6-1.435.2.3
ATI Radeon M9






More information about the users mailing list